import { useEffect, useState } from 'react';
import useSDK from './useSDK';
import { PassListenable } from '@inkerlabs/sdk';
export default function useBalances() {
    var sdk = useSDK();
    var _a = useState(undefined), balances = _a[0], setBalances = _a[1];
    var _b = useState(undefined), error = _b[0], setError = _b[1];
    if (!sdk) {
        return [balances, 'Sdk not initialized'];
    }
    var id;
    useEffect(function () {
        if (id) {
            sdk.unlisten(id, PassListenable.BALANCES);
        }
        id = sdk.listen(PassListenable.BALANCES, function (err, _balances) {
            setError(err);
            setBalances(_balances);
        });
    }, []);
    // Emulate componentWillUnmount
    useEffect(function () {
        return function () {
            if (id) {
                sdk.unlisten(id, PassListenable.BALANCES);
            }
        };
    }, []);
    return [balances, error];
}
