import { useEffect, useState } from 'react';
import useSDK from './useSDK';
import { RRListenable } from '@inkerlabs/sdk';
export default function useAccount() {
    var sdk = useSDK();
    var _a = useState(undefined), account = _a[0], setAccount = _a[1];
    var _b = useState(undefined), error = _b[0], setError = _b[1];
    if (!sdk) {
        return [account, 'Sdk not initialized'];
    }
    var id;
    useEffect(function () {
        if (id) {
            sdk.unlisten(id, RRListenable.ACCOUNT);
        }
        id = sdk.listen(RRListenable.ACCOUNT, function (err, _account) {
            setError(err);
            setAccount(_account);
        });
    }, []);
    // Emulate componentWillUnmount
    useEffect(function () {
        return function () {
            if (id) {
                sdk.unlisten(id, RRListenable.ACCOUNT);
            }
        };
    }, []);
    return [account, error];
}
